Grokbase Groups Lucene dev May 2016
FAQ
[ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15274096#comment-15274096 ]

Kevin Risden commented on SOLR-8661:
------------------------------------

[~mdrob] or [~markrmiller@gmail.com] Did the Guava version leak get fixed in later versions of Hadoop? Saw SOLR-9076 filed to update the Hadoop version.
Upgrade guava version to 18.0 due to Presto dependency
------------------------------------------------------

Key: SOLR-8661
URL: https://issues.apache.org/jira/browse/SOLR-8661
Project: Solr
Issue Type: Task
Components: Parallell SQL
Reporter: Jan Høydahl
Priority: Minor
Labels: sql, streaming_api

The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org

Search Discussions

  • Mike Drob (JIRA) at May 6, 2016 at 5:28 pm
    [ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15274393#comment-15274393 ]

    Mike Drob commented on SOLR-8661:
    ---------------------------------

    I think the leak is still there, but they did some work to make compatibility a bit better.

    HADOOP-11600 - Hadoop 2.7 works with Guava 17
    HADOOP-10101 - Hadoop 3.0 will work with Guava 18
    Upgrade guava version to 18.0 due to Presto dependency
    ------------------------------------------------------

    Key: SOLR-8661
    URL: https://issues.apache.org/jira/browse/SOLR-8661
    Project: Solr
    Issue Type: Task
    Components: Parallell SQL
    Reporter: Jan Høydahl
    Priority: Minor
    Labels: sql, streaming_api

    The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


    --
    This message was sent by Atlassian JIRA
    (v6.3.4#6332)

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
    For additional commands, e-mail: dev-help@lucene.apache.org
  • Mark Miller (JIRA) at May 7, 2016 at 4:58 pm
    [ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15275306#comment-15275306 ]

    Mark Miller commented on SOLR-8661:
    -----------------------------------

    Is there a JIRA for the 'leak'?
    Upgrade guava version to 18.0 due to Presto dependency
    ------------------------------------------------------

    Key: SOLR-8661
    URL: https://issues.apache.org/jira/browse/SOLR-8661
    Project: Solr
    Issue Type: Task
    Components: Parallell SQL
    Reporter: Jan Høydahl
    Priority: Minor
    Labels: sql, streaming_api

    The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


    --
    This message was sent by Atlassian JIRA
    (v6.3.4#6332)

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
    For additional commands, e-mail: dev-help@lucene.apache.org
  • Mike Drob (JIRA) at May 9, 2016 at 5:28 pm
    [ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15276667#comment-15276667 ]

    Mike Drob commented on SOLR-8661:
    ---------------------------------

    bq. Is there a JIRA for the 'leak'?

    HADOOP-11656
    Upgrade guava version to 18.0 due to Presto dependency
    ------------------------------------------------------

    Key: SOLR-8661
    URL: https://issues.apache.org/jira/browse/SOLR-8661
    Project: Solr
    Issue Type: Task
    Components: Parallell SQL
    Reporter: Jan Høydahl
    Priority: Minor
    Labels: sql, streaming_api

    The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


    --
    This message was sent by Atlassian JIRA
    (v6.3.4#6332)

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
    For additional commands, e-mail: dev-help@lucene.apache.org
  • Kevin Risden (JIRA) at May 11, 2016 at 4:06 pm
    [ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15280338#comment-15280338 ]

    Kevin Risden edited comment on SOLR-8661 at 5/11/16 4:06 PM:
    -------------------------------------------------------------

    Added a link to SOLR-5584 that has some discussion around upgrading Guava.


    was (Author: risdenk):
    Added a link to SOLR-8661 that has some discussion around upgrading Guava.
    Upgrade guava version to 18.0 due to Presto dependency
    ------------------------------------------------------

    Key: SOLR-8661
    URL: https://issues.apache.org/jira/browse/SOLR-8661
    Project: Solr
    Issue Type: Task
    Components: Parallell SQL
    Reporter: Jan Høydahl
    Priority: Minor
    Labels: sql, streaming_api

    The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


    --
    This message was sent by Atlassian JIRA
    (v6.3.4#6332)

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
    For additional commands, e-mail: dev-help@lucene.apache.org
  • Kevin Risden (JIRA) at May 11, 2016 at 4:06 pm
    [ https://issues.apache.org/jira/browse/SOLR-8661?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15280338#comment-15280338 ]

    Kevin Risden commented on SOLR-8661:
    ------------------------------------

    Added a link to SOLR-8661 that has some discussion around upgrading Guava.
    Upgrade guava version to 18.0 due to Presto dependency
    ------------------------------------------------------

    Key: SOLR-8661
    URL: https://issues.apache.org/jira/browse/SOLR-8661
    Project: Solr
    Issue Type: Task
    Components: Parallell SQL
    Reporter: Jan Høydahl
    Priority: Minor
    Labels: sql, streaming_api

    The Presto parser depends on {{com.google.guava/guava 18.0}}, and Solr currently uses 14.0.1. I have seen a Class not found exception for some {{com.google.common.base}} classes when playing with Parallell SQL.


    --
    This message was sent by Atlassian JIRA
    (v6.3.4#6332)

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
    For additional commands, e-mail: dev-help@lucene.apache.org

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupdev @
categorieslucene
postedMay 6, '16 at 2:27p
activeMay 11, '16 at 4:06p
posts6
users1
websitelucene.apache.org

1 user in discussion

Kevin Risden (JIRA): 6 posts

People

Translate

site design / logo © 2019 Grokbase